package com.discovergy.apiclient.examples;

import java.util.HashMap;
import java.util.Map;

import com.discovergy.apiclient.DiscovergyApiClient;
import com.github.scribejava.core.model.OAuthRequest;
import com.github.scribejava.core.model.Verb;

import flexjson.JSONSerializer;

public class TariffsExample {

	public static void main(String[] args) throws Exception {
		DiscovergyApiClient apiClient = new DiscovergyApiClient("exampleApiClient");
		OAuthRequest request = apiClient.createRequest(Verb.POST, "/tariff");
		Map<String, Object> tariff = new HashMap<>();
		tariff.put("providerName", "MyProvider");
		tariff.put("tariffName", "MyTariff");
		tariff.put("monthlyBasePrice", "9.87");
		tariff.put("pricePerKwh", "0.234");
		tariff.put("monthlyInstallment", "40");
		Map<String, Object> properties = new HashMap<>();
		properties.put("meterId", "EASYMETER_1024000034");
		properties.put("tariff", tariff);
		properties.put("user", apiClient.getApi().getUser());
		request.addHeader("Content-Type", "application/json");
		request.setPayload(new JSONSerializer().serialize(properties));
		System.out.println(apiClient.executeRequest(request, 200).getMessage());
	}
}
